1286:2044 Microsoft Surface Pro Wifi display 3 times unable to login

Bug #1212720 reported by Tony S. Hariman on 2013-08-15
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Joseph Salisbury
Raring
Medium
Joseph Salisbury
Saucy
Medium
Joseph Salisbury

Bug Description

Wifi display 3 times under network manager. Try to login to my AP with WPA2 authentication will ask 3 times but still unable to login.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-19-generic 3.8.0-19.30
ProcVersionSignature: Ubuntu 3.8.0-19.30-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: thariman 1912 F.... pulseaudio
CurrentDmesg:

Date: Thu Aug 15 21:48:51 2013
HibernationDevice: RESUME=UUID=ea886466-6203-467a-88b7-f24e538b0cbf
InstallationDate: Installed on 2013-08-14 (1 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: Microsoft Corporation Surface with Windows 8 Pro
MarkForUpload: True
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-19-generic root=UUID=89fc82bc-dc53-4bc4-979e-cc25a7ee2bf7 ro
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-19-generic N/A
 linux-backports-modules-3.8.0-19-generic N/A
 linux-firmware 1.106
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/29/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1.03.0450
dmi.board.asset.tag: 0
dmi.board.name: Surface with Windows 8 Pro
dmi.board.vendor: Microsoft Corporation
dmi.board.version: 1
dmi.chassis.asset.tag: 0
dmi.chassis.type: 17
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: 1
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1.03.0450:bd03/29/2013:svnMicrosoftCorporation:pnSurfacewithWindows8Pro:pvr1:rvnMicrosoftCorporation:rnSurfacewithWindows8Pro:rvr1:cvnMicrosoftCorporation:ct17:cvr1:
dmi.product.name: Surface with Windows 8 Pro
dmi.product.version: 1
dmi.sys.vendor: Microsoft Corporation
---
ApportVersion: 2.12-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: thariman 1663 F.... pulseaudio
DistroRelease: Ubuntu 13.10
HibernationDevice: RESUME=UUID=e26dcbb3-d727-4eeb-baca-d2c60e5a4eb3
InstallationDate: Installed on 2013-08-17 (0 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130816)
MachineType: Microsoft Corporation Surface with Windows 8 Pro
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-2-generic.efi.signed root=UUID=92e37758-7bfd-414c-8f53-e37b9424a88f ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-2-generic N/A
 linux-backports-modules-3.11.0-2-generic N/A
 linux-firmware 1.113
Tags: saucy
Uname: Linux 3.11.0-2-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 07/04/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1.04.0350
dmi.board.asset.tag: 0
dmi.board.name: Surface with Windows 8 Pro
dmi.board.vendor: Microsoft Corporation
dmi.board.version: 1
dmi.chassis.asset.tag: 0
dmi.chassis.type: 17
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: 1
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1.04.0350:bd07/04/2013:svnMicrosoftCorporation:pnSurfacewithWindows8Pro:pvr1:rvnMicrosoftCorporation:rnSurfacewithWindows8Pro:rvr1:cvnMicrosoftCorporation:ct17:cvr1:
dmi.product.name: Surface with Windows 8 Pro
dmi.product.version: 1
dmi.sys.vendor: Microsoft Corporation

CVE References

Tony S. Hariman (thariman) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Did this issue start happening after an update/upgrade? Was there a kernel version where you were not having this particular problem? This will help determine if the problem you are seeing is the result of the introduction of a regression, and when this regression was introduced. If this is a regression, we can perform a kernel bisect to identify the commit that introduced the problem.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Joseph Salisbury (jsalisbury) wrote :

Also, does wifi connect if you use and Open network instead of requiring authentication?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Tony S. Hariman (thariman) wrote :

Same issue under Quantal and Precise. Going to try on open network.

Tony S. Hariman (thariman) wrote :

For open network same issue unable to connect.

Tony S. Hariman (thariman) wrote :

Opening bug report to Kernel Bug Tracker – Bug 60747 for mainline 3.11.0-031100rc5-generic

Bing Zhao comment:

There are 3 network interfaces with different types being created when driver is loaded.

1. mlan0 (infra. STA)
2. uap0 (AP)
3. p2p0 (P2P_CLIENT)

Only mlan0 is for infra STA use. Doesn't the network manager check the type and only list the interface with STA type?

tags: added: needs-bios-update needs-upstream-testing precise quantal
Tony S. Hariman (thariman) wrote :

Sorry for the delay. After reinstalling Windows and Ubuntu. I'm unable to boot up to ubuntu anymore.
I'm capturing lsusb-v.log via usb live cd. Please ignore the SanDisk entries.

summary: - Microsoft Surface Pro Wifi display 3 times unable to login
+ 1286:2044 Microsoft Surface Pro Wifi display 3 times unable to login
Tony S. Hariman (thariman) wrote :

Before and after the firmware update the result is the same version 1.04.0350 07/04/2013

Tony S. Hariman (thariman) wrote :

Same wifi issue. Looking at windows update history Firmware update successfully installed.

Tony S. Hariman (thariman) wrote :

Here is the full output of dmidecode.

tags: added: latest-bios-1.04.0350
removed: needs-bios-update
Tony S. Hariman (thariman) wrote :

Test v3.11.rc5 same issue show up 3 wifi interface and unable to connect.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.11-rc5
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

apport information

tags: added: apport-collected saucy
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Tony S. Hariman (thariman) wrote :

Using http://cdimage.ubuntu.com/daily-live/current/saucy-desktop-amd64.iso dated 20130816
During the install see some multiple grey line on first 1/8 of the screen. After reboot and login screen blank. It come back with Sorry Ubuntu 13.10 has experianced an internal error. Redirect to bug #1206314
On this build instead seeing 3 wifi interface it only show 2 wifi interface.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Adding Network Manager task given suggestion it may have a hand in this -> https://bugzilla.kernel.org/show_bug.cgi?id=60747#c1 . Please Invalid'ate task if found to be kernel issue.

Changed in network-manager (Ubuntu):
status: New → Confirmed
Tony S. Hariman (thariman) wrote :

there is update https://bugzilla.kernel.org/show_bug.cgi?id=60747 with patch for the kernel.
How do I test this should I patch against v3.11.rc5 ?

Joseph Salisbury (jsalisbury) wrote :

I don't see the patch in the v3.11-rc6 kernel, so it is not in mainline yet. You can either patch the 3.11-rc6 kernel, or I can do it for you and built a test kernel?

Joseph Salisbury (jsalisbury) wrote :

I built a Saucy test kernel with the patch[0] applied. It can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1212720/

Note that you will need to install both the linux-image and linux-image-extra packages.

[0] https://patchwork.kernel.org/patch/2846729/

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
Tony S. Hariman (thariman) wrote :

I test this kernel with saucy-desktop-amd64.iso dated 2013-08-22 it work fine.
I can connect to WPA2 AP without any problem.
It only show 1 interface instead of 3.
Any other test you would like me to do ?

Changed in linux (Ubuntu):
status: In Progress → Confirmed
Tony S. Hariman (thariman) wrote :

After running update-manager by deselecting kernel specific update. It crash
with bug# 1215781

no longer affects: network-manager (Ubuntu)
Brandon Clark (web-brandon) wrote :

Thank you Joseph Salisbury, Your image worked first go with Raring also. Thank you Tony for staying on this.

I will update my post today. http://askubuntu.com/a/265659/88546

Brandon Clark (web-brandon) wrote :

@Tony, thanks for the email. I cannot find your bug link for update manager(its dead).

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Changed in linux (Ubuntu Raring):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I'll submit a request to have this patch included in Raring and Saucy while we wait for it to land in mainline.

Tony S. Hariman (thariman) wrote :

Great thank you Joseph Salisbury.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.11.0-4.9

---------------
linux (3.11.0-4.9) saucy; urgency=low

  [ Tim Gardner ]

  * rebase to v3.11-rc7
  * Release tracker
    - LP: #1216962

  [ Upstream Kernel Changes ]

  * mwifiex: do not create AP and P2P interfaces upon driver loading
    - LP: #1212720
 -- Tim Gardner <email address hidden> Mon, 26 Aug 2013 06:25:35 -0600

Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Released
Tony S. Hariman (thariman) wrote :

update via sudo apt-get -y install linux-image-3.11.0-4-generic linux-image-extra-3.11.0-4-generic linux-headers-3.11-0-4-generic

work well so far.

Thank you

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-raring-needed' to 'verification-raring-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-raring
Tony S. Hariman (thariman) wrote :

Bug 60747 - 1286:2044 [Microsoft Surface Pro] Marvell 88W8797 wifi show 3 interface under network manager
Bing Zhao 2013-09-18 02:22:50 UTC
It's in linux-stable 3.11.1 now.

5c68732 Linux 3.11.1
ae7ab51 mwifiex: do not create AP and P2P interfaces upon driver loading

Tony S. Hariman (thariman) wrote :

Brad,

It work when it boot only to Ubuntu. As soon I fix the boot using boot-repair iso.
It keep getting USB 3-3 GET_CMD_NODE: cmd node not available.

The SurfacePro have windows 8 and ubuntu installed.

Tony

tags: added: verification-raring-done
removed: verification-needed-raring
Tony S. Hariman (thariman) wrote :

Brad,

It seems that it's looking for my USB ethernet when I used it for the installation of proposed kernel.
With the usb in, it boot properly. Another finding during the login prompt before entering the password it seems the network manager work fine by connecting to both the usb ethernet and wifi ( WPA2 connection). But as soon I login the network manager disapear and it seams that network connectivity is down on both connection.

Launchpad Janitor (janitor) wrote :
Download full text (15.3 KiB)

This bug was fixed in the package linux - 3.8.0-31.46

---------------
linux (3.8.0-31.46) raring; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1223406

  * UBUNTU: [Config] KUSER_HELPERS=y for armhf

  [ Upstream Kernel Changes ]

  * Revert "cpuidle: Quickly notice prediction failure in general case"
    - LP: #1221794
  * Revert "cpuidle: Quickly notice prediction failure for repeat mode"
    - LP: #1221794
  * Revert "zram: use zram->lock to protect zram_free_page() in swap free
    notify path"
    - LP: #1215513
  * x86 thermal: Delete power-limit-notification console messages
    - LP: #1215748
  * x86 thermal: Disable power limit notification interrupt by default
    - LP: #1215748
  * mwifiex: do not create AP and P2P interfaces upon driver loading
    - LP: #1212720
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - LP: #1216442
    - CVE-2013-4254
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - LP: #1216442
    - CVE-2013-4254
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * veth: fix a NULL deref in netif_carrier_off
    - LP: #1201869
  * veth: fix NULL dereference in veth_dellink()
    - LP: #1201869
  * Bluetooth: Add support for Atheros [0cf3:3121]
    - LP: #1202477
  * uvcvideo: quirk PROBE_DEF for Dell SP2008WFP monitor.
    - LP: #1217957
  * usb: dwc3: gadget: don't prevent gadget from being probed if we fail
    - LP: #1221794
  * usb: dwc3: fix wrong bit mask in dwc3_event_type
    - LP: #1221794
  * ASoC: max98088 - fix element type of the register cache.
    - LP: #1221794
  * ata: Fix DVD not dectected at some platform with Wellsburg PCH
    - LP: #1221794
  * Tools: hv: KVP: Fix a bug in IPV6 subnet enumeration
    - LP: #1221794
  * ALSA: usb-audio: 6fire: return correct XRUN indication
    - LP: #1221794
  * usb: serial: cp210x: Add USB ID for Netgear Switches embedded serial
    adapter
    - LP: #1221794
  * USB: storage: Add MicroVault Flash Drive to unusual_devs
    - LP: #1221794
  * USB: misc: Add Manhattan Hi-Speed USB DVI Converter to sisusbvga
    - LP: #1221794
  * USB: option: append Petatel NP10T device to GSM modems list
    - LP: #1221794
  * usb: cp210x support SEL C662 Vendor/Device
    - LP: #1221794
  * USB: cp210x: add MMB and PI ZigBee USB Device Support
    - LP: #1221794
  * USB: EHCI: Fix resume signalling on remote wakeup
    - LP: #1221794
  * drm/radeon: fix endian issues with DP handling (v3)
    - LP: #1221794
  * drm/radeon: Another card with wrong primary dac adj
    - LP: #1221794
  * drm/radeon: improve dac adjust heuristics for legacy pdac
    - LP: #1221794
  * drm/radeon: fix combios tables on older cards
    - LP: #1221794
  * ARM: footbridge: fix overlapping PCI mappings
    - LP: #1221794
  * [SCSI] isci: Fix a race condition in the SSP task management path
    - LP: #1221794
  * [SCSI] qla2xxx: Properly set the tagging for commands.
    - LP: #1221794
  * [SCSI] sd: fix crash when UA received on DIF enabled device
    - LP: #1221794
  * nfsd: nfsd_open: when dentry_ope...

Changed in linux (Ubuntu Raring):
status: In Progress → Fix Released

I updated my kernel to 3.12.3, but wifi menu on unity still doesn't show anything, are there any steps I need to take to fix it? I'm on 12.04. tnx.

I forgot to mention that I have this problem on Surface Pro 2, which has the same wifi device as in the original Surface Pro

Keyvan Mir Mohammad Sadeghi, as this report is marked Fix Released, it would not cover your problem. So your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Thanks @penalvch, I noticed from the links you posted that the drivers are not included in the mainline kernels, I wasn't aware of that. There is no need, IMO, to submitt a new report since I have the same hardware as the one posted in this thread, and upgrading to a non-mainline kernel should resolve the issue. Is there an easy way of getting a Raring+ kernel that contains the drivers developed in this patch? Thanks again.

To post a comment you must log in.